Verify domain ownership and DNS settings

Verify that you own a specific domain and that its DNS settings are correctly configured with us. This endpoint returns a `zoneId` required for managing DNS records and zones via other API calls, such as GET /api/dns/zones/{zoneId}/records.

Domains & DNS DNS

Context

Path Parameters

domain string required Example: example.com

Fully qualified domain name

Query Parameters

check string required · Example: true

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.checkCount integer required · Example: 15
data.domain string required · Example: example.com
data.error string | array · nullable required · Example: ["Module (PowerDNS): pdns_domainexists"]

HTTP status title (e.g. 'Bad Request').

data.expiresAt string · Example: 2026-02-10T00:00:00.000Z
data.id string · Example: 3f849f25-b15d-d561-00d5-3020998ea255
data.nameservers array<string> · Example: ["primary.ns.hostup.se","secondary.ns.hostup.se"]
data.status string · enum · Example: verified
pending
verified
data.txtRecordName string · Example: _hostup-example.com
data.txtRecordValue string · enum · Example: hostup-verify=EXAMPLE_VERIFICATION_TOKEN
hostup-verify=EXAMPLE_VERIFICATION_TOKEN
data.verified boolean · Example: true
data.zoneCreated boolean · Example: true
data.zoneId string · nullable · Example: EXAMPLE_ZONE_ID

Nullable: may be null when not applicable.

requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

404
code string required · Example: NOT_FOUND

Machine-readable error code.

error string required · Example: Not Found

HTTP status title (e.g. 'Bad Request').

message string required · Example: Verification not found

Human-readable message.

requestId string · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

timestamp string · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/dns/verify/{domain}
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/dns/verify/example.com?check=true" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "id": "3f849f25-b15d-d561-00d5-3020998ea255",
    "domain": "example.com",
    "status": "verified",
    "verified": true,
    "zoneCreated": true,
    "zoneId": "EXAMPLE_ZONE_ID",
    "checkCount": 15,
    "error": null,
    "nameservers": [
      "primary.ns.hostup.se",
      "secondary.ns.hostup.se"
    ]
  }
}